TULISAN - Feature #3980

[Revise] Reminder Dashboard — Document Approval List & Summary Cards
10/29/2025 11:22 AM - Mr Dhafin

Status: Assigned Start date: 10/29/2025
Priority: High Due date: 10/31/2025
Assignee: mabhlil .. % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Tim Developer,

Mohon bantuannya untuk melakukan Proses pengajuan dokumen seperti Purchase Order (PO), Goods Receipt (GR), dan Stock
Transfer (ST), terkadang diperlukan perbaikan sebelum dokumen dapat disetujui. Oleh karena itu, sistem menyediakan alur “Revise”
untuk memastikan data yang diajukan sudah benar dan sesuai kebijakan. Berikut adalah alur bisnis ketika approver meminta revisi
atas dokumen yang dikirim oleh requester:

1. Proses Awal
* Requester membuat dokumen Purchase Order (PO), Good Receipt (GR) & Stock Tranfer (ST).
» Dokumen dikirim ke sistem approval dengan status Pending Approval.

2. Proses Approval

 Approver memeriksa isi dokumen.

« Jika terdapat kesalahan (misalnya nilai anggaran, vendor, atau lampiran), Approver memilih “Revise”.
* Saat itu:

- Status dokumen berubah menjadi “Revise”.

- Field RevisedBy dan RevisedAt diisi otomatis.

- Alasan revisi disimpan di tabel ApprovalComments.

3. Notifikasi ke Requester

« Sistem mengirim notifikasi otomatis ke Requester:

“Dokumen PO-2025-011 dikembalikan untuk revisi oleh Approver A.”

» Jumlah dokumen “Revise” bertambah di widget dashboard Requester.

4. Aksi Requester

* Requester membuka Dashboard — Widget “Documents to Revise”.
» Melihat daftar 5 dokumen terakhir yang perlu diperbaiki.

* Klik salah satu — diarahkan ke Form Edit Document.

» Requester memperbaiki data — klik Resubmit for Approval.

Siklus Ulang

« Setelah disubmit ulang:

- Status kembali menjadi Pending Approval.

- Widget “Revise” otomatis berkurang 1.

- Approver menerima notifikasi untuk meninjau ulang dokumen yang telah direvisi.

Notes : Untuk Desigh sama dengan di redmine Feature #3972 hanya saja dibikin pembeda karena ini proses bisnis Revisenya
Port: https://tulisan-dev.minovais.com/
DB: MinovaES_Tulisan_Dev (103.153.60.89)

History

#1 - 10/29/2025 11:23 AM - Mr Dhafin

- Tracker changed from Bug to Feature

#2 - 10/29/2025 11:47 AM - haykal haykal

Ini khusus yg Document Status Revise ya...
Purchase Order
Tabel: PTRPURCHHEAD

DocType: PO
DocStatus = 4
http://remote.minovais.com:3000/redmine/issues/3972
https://tulisan-dev.minovais.com/

Goods Receipt

Tabel: PTRMATERIALHEAD
DocType: RCSP

DocStatus = 5

Stock Transfer

Tabel: PTRMATERIALHEADINTERNAL
DocType: INTR

DocStatus = 5

Terimakasih.
